System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.Specialized.NameObjectCollectionBase

Clients encode files and transmit them in the content body using multipart MIME format with an HTTP Content-Type header of multipart/form-data. ASP.NET extracts the encoded file(s) from the content body into individual members of an . Methods and properties of the class provide access to the contents and properties of each file.

Provides access to and organizes files uploaded by a client.

- Property
  System.String[] To be added: an object of type 'string []' To be added

  Gets a string array containing the keys (names) of all members in the file collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added

  Copies members of the file collection to an beginning at the specified index of the array.

  The destination . The index of the destination array where copying starts. 1.0.5000.0 2.0.0.0
- Method
  System.Web.HttpPostedFile `` To be added

  Returns the object with the specified numerical index from the file collection.

  An object.

  The index of the object to be returned from the file collection. 1.0.5000.0 2.0.0.0
- Method
  System.Web.HttpPostedFile `` a To be added

  Returns the object with the specified name from the file collection.

  An object.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` To be added

  Returns the name of the member with the specified numerical index.

  The name of the member specified by .

  The index of the object name to be returned. 1.0.5000.0 2.0.0.0
- Property
  System.Web.HttpPostedFile `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Web.HttpPostedFile `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0